EUCA-MODIFY-INSTANCE-ATTRIBUTE(1)

NAME
euca-modify-instance-attribute - Modify an attribute of an instance

SYNOPSIS
euca-modify-instance-attribute (-b DEVICE=::(true|false) |

--disable-api-termination {true,false} |
    --ebs-optimized {true,false} | -g GROUP | --instance-initiated-shutdown-behavior {stop,terminate} | -t INSTANCETYPE | --kernel IMAGE | --ramdisk IMAGE | --source-dest-check {true,false} | --sriov simple | --user-data DATA | --user-data-file FILE) [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Modify an attribute of an instance

  positional arguments:

INSTANCE
    ID of the instance to modify (required)

  optional arguments:

-b DEVICE=::(true|false), --block-device-mapping DEVICE=::(true|false)
    change whether a volume attached to the instance will be deleted upon the instance's termination

--disable-api-termination {true,false}
    change whether or not the instance may be terminated

--ebs-optimized {true,false}
    change whether or not the instance should be optimized for EBS I/O

-g GROUP, --group-id GROUP
    [VPC only] Change the security group(s) the instance is in

--instance-initiated-shutdown-behavior {stop,terminate}
    whether to stop or terminate the EBS instance when it shuts down (instance-store instances are always terminated)

-t INSTANCETYPE, --instance-type INSTANCETYPE
    change the instance's type

--kernel IMAGE
    change the instance's kernel image

--ramdisk IMAGE
    change the instance's ramdisk image

--source-dest-check {true,false}
    change whether source/destination address checking is enabled

--sriov simple
    enable enhanced networking for the instance and its descendants

--user-data DATA
    change the instance's user data (must be base64-encoded)

--user-data-file FILE
    change the instance's user data to the contents of a file

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit